Skip to content
AchaduDevelopers
Operational APIGo to website
Dashboard
Developers/API/webhook_create
Webhooks

Create webhook

Creates an HTTPS destination and reveals the secret once.

POST/webhookswebhooks:write

Request

namestring · bodyDestination name.mandatory
urlstring · bodyPublic HTTPS URL.mandatory
eventsarray · bodyEvents or *.mandatory
activeboolean · bodyActivates the destination.optional

Example

curl
curl -X POST 'https://achadu.com/api/v1/webhooks' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "url": "https://example.com/product",
  "events": [
    "offer.created"
  ],
  "active": true
}'

Answer

201Resource created
4xxError with code, message and request_id